@mixin flexbox {
    display: flex;
  }

  /*
.container {
     @include flexbox;
 }
 */

 @mixin flex-direction($value: row) {
    @if $value == row-reverse {
        -webkit-box-direction: reverse;
        -webkit-box-orient: horizontal;
    } @else if $value == column {
        -webkit-box-direction: normal;
        -webkit-box-orient: vertical;
    } @else if $value == column-reverse {
        -webkit-box-direction: reverse;
        -webkit-box-orient: vertical;
    } @else {
        -webkit-box-direction: normal;
        -webkit-box-orient: horizontal;
    }
    flex-direction: $value;
}

/*
.box {
     @include flex-direction(row);
 }
*/

@mixin flex-wrap($value: nowrap) {
    -webkit-flex-wrap: $value;
    -moz-flex-wrap: $value;
    @if $value == nowrap {
        -ms-flex-wrap: none;
    } @else {
        -ms-flex-wrap: $value;
    }
    flex-wrap: $value;
}

/*
.box {
  @include flex-wrap(wrap);
}
*/

@mixin flex-flow($values: (row nowrap)) {
    flex-flow: $values;
}

/*
.box {
     @include flex-flow(row wrap);
 }
*/

@mixin order($int: 0) {
    -webkit-box-ordinal-group: $int + 1;
    order: $int;
}

@mixin flex-grow($int: 0) {
    -webkit-box-flex: $int;
    -ms-flex-positive: $int;
    flex-grow: $int;
}

/*
.box {
  @include flex-grow(1);
}
*/

@mixin flex-shrink($int: 1) {
    -ms-flex-negative: $int;
    flex-shrink: $int;
}

/*
.box {
  @include flex-shrink(1);
}
*/

@mixin flex-basis($value: auto) {
    -ms-flex-preferred-size: $value;
    flex-basis: $value;
}

/*
.container {
  @include flex-basis(75%);
}
*/

@mixin justify-content($value: flex-start) {
    @if $value == flex-start {
        -webkit-box-pack: start;
        -ms-flex-pack: start;
    } @else if $value == flex-end {
        -webkit-box-pack: end;
        -ms-flex-pack: end;
    } @else if $value == space-between {
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
    } @else if $value == space-around {
        -ms-flex-pack: distribute;
    } @else {
        -webkit-box-pack: $value;
        -ms-flex-pack: $value;
    }
    justify-content: $value;
}

/*
.container {
  @include justify-content(space-between);
}
*/

@mixin align-items($value: stretch) {
    @if $value == flex-start {
        -webkit-box-align: start;
        -ms-flex-align: start;
    } @else if $value == flex-end {
        -webkit-box-align: end;
        -ms-flex-align: end;
    } @else {
        -webkit-box-align: $value;
        -ms-flex-align: $value;
    }
    align-items: $value;
}

/*
.container {
  @include align-items(flex-end);
}
*/

@mixin align-content($value: stretch) {
    // No Webkit Box Fallback.
    -webkit-align-content: $value;
    -moz-align-content: $value;
    @if $value == flex-start {
        -ms-flex-line-pack: start;
    } @else if $value == flex-end {
        -ms-flex-line-pack: end;
    } @else {
        -ms-flex-line-pack: $value;
    }
    align-content: $value;
}

/*
.container {
  @include align-content(space-between);
}
*/
